Get one grader library entry
curl --request GET \
--url https://app.egma.ai/v1/grader-library/{graderDefinitionId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"scopeEditable": true,
"currentDefinitionVersion": 2,
"definitionVersion": 2,
"modalities": [
"chat"
],
"gradingInstructions": "<string>",
"requiredEvidence": [
"transcript"
],
"settingDefinitions": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"activeProjectGraderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Graders
Get one grader library entry
Read the current definition or request an exact definitionVersion from historical grade evidence. Setting definitions describe the values needed when adding the grader to a project.
GET
/
v1
/
grader-library
/
{graderDefinitionId}
Get one grader library entry
curl --request GET \
--url https://app.egma.ai/v1/grader-library/{graderDefinitionId} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"owner": "egma",
"type": "llm_as_judge",
"scopeEditable": true,
"currentDefinitionVersion": 2,
"definitionVersion": 2,
"modalities": [
"chat"
],
"gradingInstructions": "<string>",
"requiredEvidence": [
"transcript"
],
"settingDefinitions": [
{
"key": "<string>",
"label": "<string>",
"valueType": "integer",
"defaultValue": 123,
"unit": "<string>",
"minimum": 123,
"maximum": 123
}
],
"activeProjectGraderId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
Minimum string length:
1Query Parameters
Minimum string length:
1Required range:
x >= 1Response
The grader definition and its current-project use state.
Minimum string length:
1Available options:
egma, project Available options:
llm_as_judge, code Required range:
x >= 1Required range:
x >= 1Minimum array length:
1Available options:
chat, voice Available options:
transcript, ending_outcome, tool_calls, observed_metrics, test_expected_behaviors, turn_response_latency Show child attributes
Show child attributes
Minimum string length:
1